Skip to main content
Back to API List To retrieve user details.
This API requires a JWT generated by an application created only from the Admin Console.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/usersInfo
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: User Management > User Management

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai.

Sample Request

curl -X POST \
  https://{{host}}/api/public/usersInfo \
  -H 'Content-Type: application/json' \
  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \
  -d '{
    "emailIds": [
        "jane.doe@example.com",
        "john.doe@example.com"
    ],
    "status": "active"
}'

Body Parameters

ParameterDescription
emailIdsArray of email IDs of users whose information is sought.
status (optional)Filter by user status: active, not active, or all (default).

Sample Response

Success:
[
    {
       "canCreateBot": true,
        "isDeveloper": true,
        "userInfo": {
            "emailId": "john.doe@example.com",
            "userId": "u-575f16b0-c4c5-5f3c-a740-06288c67dec1",
            "firstName": "",
            "lastName": "",
            "status": "active",
            "lastLogin": "2023-08-08T05:55:56.698Z"
        },
        "roles": {
            "btRoles": [
                {
                    "roleId": "5d9d920dabdc1e6e8ec99342",
                    "roleName": "sample bot role 2",
                    "botId": "st-16511425-15c5-5cdf-b652-a796db7d134b",
                    "botName": "bot6ent"
                }
            ],
            "adminRoles": [
                {
                    "roleId": "5cd4081158217217cccabb7e",
                    "roleName": "admin"
                }
            ]
        },
        "groups": [
            {
                "groupId": "e-06b41cdd-7678-5394-b958-40ca5662f502",
                "groupName": "group1"
            }
        ]
    }
]
Failure:
[
    {
        "userInfo": {
            "emailId": "a3q4",
            "status": "failure",
            "reason": {
                "errors": [
                    {
                        "msg": "User not found. Please check the provided email address.",
                        "code": 400
                    }
                ]
            }
        }
    }
]